Update 5.Mai 2011: Eine alternative, kürzere Anleitung findet sich bei Liomans Blog

Der simfy Player (momentane Version 1.3) kommt nur als 32bit Version daher. Es ist aber kein Problem, den Player auch unter einem 64bit Linux zu benutzen. Als erstes sollte man Adobe Air installieren. Wie man das unter einem 64bit Ubuntu macht, ist hier beschrieben:
Install Adobe AIR on 64-bit Ubuntu 10.10

Genau denselben Trick kann man für das simfy Paket machen. Also:

  1. Lade simfy_player.zip von der simfy Homepage herunter.
  2. Gehe in einem Terminal in das Download Verzeichnis und entpacke das zip Archiv mit einem: unzip simfy_player.zip
  3. Mache ein tmp Verzeichnis: mkdir tmp
  4. Entpacke das deb Paket in das tmp Verzeichnis: dpkg-deb -x simfy_player.deb tmp
  5. Entpacke die control Datei: dpkg-deb --control simfy_player.deb tmp/DEBIAN
  6. Ändere die Architektur von “i386” nach “all”: sed -i "s/i386/all/" tmp/DEBIAN/control
  7. Erstelle wieder ein deb Paket: dpkg -b tmp simfy_player_64.deb
  8. Installiere den simfy Player: sudo dpkg -i simfy_player_64.deb
    Jetzt kann man mit einem:
    /opt/simfy/bin/simfy
    den Player starten.

3 Trackbacks

Trackback specific URI for this entry

  • *
    itundich.wordpress.com 
    PingBack
    ...
  • *
    Liomans Blog 
    Simfy-Player unter Ubuntu-64bit installieren
    Ich habe den Musikstreamingdienst Simfy schätzen gelernt. Aus verschiedenen Gründen  hat er für mich Last.fm abgelöst. Der Desktopclient basiert auf AdobeAir und es gibt auch ein *.deb Paket, um den Player unter Linux zu installieren. Nachdem ich mit U... ...
  • *
    www.lioman.de 
    PingBack
    ...

8 Comments

Threaded

  • *
    tnf  
    Alternativ sollte auch ohne Änderung am File folgendes funktionieren: sudo dpkg -i --force-architecture simfy_.deb
  • *
    dirk  
    super anleitung! riesen hilfe. danke!
  • *
    Lioman  
    Nicht ganz: man muss noch ein Erzwingen, dass bei der installation nicht nach adobeair gesucht wird. Dann sieht der Befehl so aus: sudo dpkg --force-architecture --force-depends -i simfy_VERSION.deb
  • *
    otto06217  
    Hai, leider war es nicht ganz so einfach, denn die Leute, die das Packet für Debian/Ubuntu gebaut haben, sind wohl nicht ganz firm in Sachen Packetierung. Hier meine zusätzlichen Änderungen: Datei tmp/usr/share/app-install/desktop/simfy.desktop Ändern von Exec='/opt'/'simfy'/bin/'simfy' in Exec=/opt/simfy/bin/simfy dann chmod 755 tmp/usr/share/app-install/desktop/simfy.desktop, Datei tmp/DEBIAN/postinst Ändern von InstallDir='/opt'/'simfy' in InstallDir=/opt/simfy, Datei tmp/DEBIAN/prerm Ändern von InstallDir='/opt'/'simfy' in InstallDir=/opt/simfy, Dann weiter mit Schritt 7 wie oben beschrieben. Bei mir - Kubuntu Natty , 11.04. 64bit - geht es jedenfalls. Ich habe noch einige andere Dinge geändert, aber diese dienen doch eher der Schönheitsflege. Man kann mich unter otto06217@googlemail.com erreichen. Gruß
  • *
    Lars Frantzen  
    Habe die letzten Tage das Problem gehabt, dass Simfy nicht mehr starten wollte, und Tweetdeck konnte seine Passwörter nicht finden. Nach einiger Suche stellte sich als Ursache heraus, dass die Digitale Brieftasche (kdewallet) nicht lief. Ich bin von Kontact zu Thunderbird gewechselt, und deswegen wurde die Brieftasche nicht mehr automatisch gestartet... Nach einem manuellen starten (z.B. via kwalletmanager ) läuft die Sache wieder.
  • *
    tommi  
    habs eben vollbracht :-) unter ubuntu 11.04 64bit danke leute , ohne eure hilfe waers nicht gegangen und ich mag simfy sehr gruss tommi
  • *
    Urs  
    Aktuelle .deb für 64 bit, Version 1.6.2 : http://db.tt/ZY8LlS3J
  • *
    wiggie  
    Danke Urs, das ist super. Vorher gab es bei mir immer einen Fehler, und musste jeden Tag simfy deinstallieren, sonst konnte ich nichts mehr installieren.

Add Comment

You can use [geshi lang=lang_name [,ln={y|n}]][/geshi] tags to embed source code snippets.
Gravatar, Twitter author images supported.
E-Mail addresses will not be displayed and will only be used for E-Mail notifications.

To prevent automated Bots from commentspamming, please enter the string you see in the image below in the appropriate input box. Your comment will only be submitted if the strings match. Please ensure that your browser supports and accepts cookies, or your comment cannot be verified correctly.
CAPTCHA

Enclosing asterisks marks text as bold (*word*), underscore are made via _word_.